--/Example 06

--/ Example of using additional SQL functions in the SELECT clause during data retrieval from a table

SELECT 	OrderID, CustomerID, EmployeeID, 
	CAST(OrderDate AS VARCHAR(11)), --/straight forward CAST AS command
	CONVERT(VARCHAR(10),RequiredDate, 103), --/CONVERT allows more control especially with datetime
	CONVERT(VARCHAR(10),ShippedDate, 103) AS ShippedDateAsString, --/CONVERT and add an alias to maintain output column names
	ShipVia, Freight, ShipName, 
	ShipAddress, ShipCity, ShipRegion, ShipPostalCode, ShipCountry
FROM orders

--/ Many more functions are built into the SQL language ranging from mathematical, through string to system functions

SELECT 	OrderID, CustomerID, EmployeeID, 
	DATEDIFF(d, OrderDate, ShippedDate) AS OrderToShipDays,
	ShipVia, Freight, ShipName, 
	ShipAddress, ShipCity, ShipRegion, ShipPostalCode, 
	UPPER(ShipCountry) AS ShipCountryCaps
FROM orders