--/ Example 14

--/ Other ways of creating a join


SELECT 
	o.orderID, o.CustomerID, CONVERT(VARCHAR(10), o.OrderDate, 103) AS OrderDateAsString,
	od.Quantity, od.UnitPrice, 
	p.ProductName,
	c.CompanyName AS CustomerCompanyName,
	s.CompanyName AS SupplierCompanyName
FROM 	Orders o, [Order Details] od, Products p, Customers c, Suppliers s
WHERE 	o.orderID = od.orderID
	AND od.ProductID = p.ProductID
	AND c.CustomerID = o.CustomerID
	AND p.supplierID = s.supplierID 
	AND s.Country LIKE '%Germany%'
	AND p.Discontinued = 0
	AND od.Discount <> 0.0

--/ It is with this style of writing joins that the SQL/Oracle *=, =* and != is more frequently used

SELECT 
	o.orderID, o.CustomerID, CONVERT(VARCHAR(10), o.OrderDate, 103) AS OrderDateAsString,
	od.Quantity, od.UnitPrice, 
	p.ProductName,
	c.CompanyName AS CustomerCompanyName,
	s.CompanyName AS SupplierCompanyName
FROM 	Orders o, [Order Details] od, Products p, Customers c, Suppliers s
WHERE 	o.orderID = od.orderID
	AND od.ProductID != p.ProductID		--/ <---- a not equal to 
	AND c.CustomerID = o.CustomerID
	AND p.supplierID = s.supplierID 
	AND s.Country LIKE '%Germany%'
	AND p.Discontinued = 0
	AND od.Discount <> 0.0